package com.hzya.frame.plugin.lets.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * lets全局静态参数配置
 */
public class OverallConstant {

    private static final Map<String, String> devOverAll = new HashMap<>();

    private static final Map<String, String> testOverAll = new HashMap<>();

    private static final Map<String, String> prodOverAll = new HashMap<>();

    private static final Map<String, String> prodOverPublic = new HashMap<>();

    static {
        //dev
        loadDev();
        //prod
        loadProd();
        //公共部分
        loadPublic();
    }

    private static void loadPublic() {

        //存货分类
        prodOverPublic.put("bdinvSaveCode", "8000370025");//存货分类新增
        prodOverPublic.put("bdinvSave", "/u8cloud/api/uapbd/bdinvcl/save");//存货分类新增
        prodOverPublic.put("bdinvUpdateCode", "8000370026");//存货分类修改
        prodOverPublic.put("bdinvUpdate", "/u8cloud/api/uapbd/bdinvcl/update");//存货分类修改
        prodOverPublic.put("bdinvDeleteCode", "8000370027");//存货分类删除
        prodOverPublic.put("bdinvDelete", "/u8cloud/api/uapbd/bdinvcl/delete");//存货分类删除
        //存货基本档案
        prodOverPublic.put("bdinvclSaveCode", "8000370002");//存货基本档案新增
        prodOverPublic.put("bdinvclSave", "/u8cloud/api/uapbd/bdinvcl/save");//存货基本档案新增
        prodOverPublic.put("bdinvclUpdateCode", "8000370046");//存货基本档案修改
        prodOverPublic.put("bdinvclUpdate", "/u8cloud/api/uapbd/invbasdoc/update");//存货基本档案修改
        prodOverPublic.put("bdinvclSealCode", "8000370058");//存货基本档案封存
        prodOverPublic.put("bdinvclSeal", "/u8cloud/api/uapbd/invbasdoc/seal");//存货基本档案封存
        prodOverPublic.put("bdinvclUnsealCode", "8000370059");//存货基本档案取消封存
        prodOverPublic.put("bdinvclUnseal", "/u8cloud/api/uapbd/invbasdoc/unseal");//存货基本档案取消封存
        prodOverPublic.put("bdinvclAllotCode", "8000370003");//存货基本档案自动分配
        prodOverPublic.put("bdinvclAllot", "/u8cloud/api/uapbd/invbasdoc/assign");//存货基本档案自动分配
        //成套件
        prodOverPublic.put("setpartInsertCode", "8000370063");//成套件新增
        prodOverPublic.put("setpartDeleteCode", "8000370064");//成套件删除
        prodOverPublic.put("setpartQueryCode", "8000370065");//成套件查询

        //调拨
        prodOverPublic.put("approveqzCode", "8000370009");//调拨订单保存即审批
        prodOverPublic.put("approveqz", "/u8cloud/api/to/transorder/saveapprove");//调拨订单保存即审批
        prodOverPublic.put("approveInqzCode", "8000370054");//调拨入库保存并签字
        prodOverPublic.put("approveInqz", "/u8cloud/api/ic/allocationIn/save/sign");//调拨入库保存并签字

        //其他出入库
        prodOverPublic.put("otherinqzCode", "8000370007");//库存其他入库保存即签字
        prodOverPublic.put("otherinqz", "/u8cloud/api/ic/otherin/save/sign");//库存其他入库保存即签字
        prodOverPublic.put("otheroutqzCode", "8000370008");//库存其他出库保存即签字
        prodOverPublic.put("otheroutqz", "/u8cloud/api/ic/otherout/save/sign");//库存其他出库保存即签字




        prodOverPublic.put("custdocSaveCode", "8000370062");//客商档案新增
        prodOverPublic.put("custdocSave", "/u8cloud/api/uapbd/custdoc/insert");//客商档案新增
        prodOverPublic.put("custdocQuery", "/u8cloud/api/uapbd/custdoc/query");//客商档案查询
        prodOverPublic.put("custdocUpdate", "/u8cloud/api/uapbd/custdoc/update");//客商档案修改
        prodOverPublic.put("custdocAssignCode", "8000370001");//客商档案分配
        prodOverPublic.put("custdocAssign", "/u8cloud/api/uapbd/custdoc/assign");//客商档案分配
        prodOverPublic.put("custmandocSave", "/u8cloud/api/uapbd/custmandoc/insert");//客商档案新增
        prodOverPublic.put("bdcorpQueryCode", "8000370060");//公司档案查询
        prodOverPublic.put("bdcorpQuery", "/u8cloud/api/uapbd/bdcorp/query");//公司档案查询
        prodOverPublic.put("bddefdoclistsaveCode", "8000370061");//自定义档案内容查询
        prodOverPublic.put("bddefdoclistsave", "/u8cloud/api/uapbd/bddefdoc/insert");//自定义档案内容查询


    }

    private static void loadDev() {
        devOverAll.put("u8cApiUrl", "http://39.170.109.90:9099");//测试U8C

        devOverAll.put("u8cApiUsercodePK", "admin");
        devOverAll.put("u8cApiPasswordPK", "21232f297a57a5a743894a0e4a801fc3");
        devOverAll.put("u8cApiTrantypePK", "pk");
        devOverAll.put("u8cApiSystemPK", "lz");
        devOverAll.put("u8cApiNeedStackTracePK", "Y");
        devOverAll.put("u8cApiZdrPK", "0001A210000000000GVS");//单据制单人---测试环境：郑一凡

        devOverAll.put("u8cApiUsercodeCode", "admin1");
        devOverAll.put("u8cApiPasswordCode", "e00cf25ad42683b3df678c61f42c6bda");
        devOverAll.put("u8cApiTrantypeCode", "code");
        devOverAll.put("u8cApiSystemCode", "lz1");
        devOverAll.put("u8cApiNeedStackTraceCode", "Y");
        devOverAll.put("u8cApiZdrCode", "15932295350");//单据制单人---测试环境：郑一凡



    }

    private static void loadProd() {


    }

    /**
     * 根据key获取全局变量值
     *
     * @param key key值
     * @return 返回String
     */
    public static String getOverAllValue(String key) {
        String value = null;
        if (ProfilesActiveConstant.LETS_PROFILES_ACTIVE.equals("dev")) {
            value = devOverAll.get(key);
        } else if (ProfilesActiveConstant.LETS_PROFILES_ACTIVE.equals("test")) {
            value = testOverAll.get(key);
        } else if (ProfilesActiveConstant.LETS_PROFILES_ACTIVE.equals("prod")) {
            value = prodOverAll.get(key);
        }
        if (value == null) {
            value = prodOverPublic.get(key);
        }
        return value;
    }
}
